/*
FIFO.H

Simple implementation of a fifo.

This file is part of my Embedded Zerotree Wavelet Encoder Tutorial.

(C) C. Valens, <c.valens@mindless.com>

Created    : 03/09/1999
Last update: 03/09/1999
*/


#ifndef __FIFO_H__
#define __FIFO_H__


typedef struct __ezw_element {
  int x;
  int y;
  int code;
} ezw_element;

extern char fifo_empty;

void put_in_fifo(ezw_element d);
ezw_element get_from_fifo(void);
void destroy_fifo(void);
void initialize_fifo(void);


#endif /* __FIFO_H__ */

